Skip to main content

createApplication

Create an Application grouping assets for combined risk view

createApplication(
input: CreateApplicationInput!
): CreateApplicationPayload

Arguments​

createApplication.input ● CreateApplicationInput! non-null input​

Parameters for CreateApplication

Type​

CreateApplicationPayload object​

Autogenerated return type of CreateApplication.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateApplication($input: CreateApplicationInput!) {\n createApplication(input: $input) { application { id name assets { __typename } } clientMutationId errors }\n}","variables":{"input":{"companyId":1,"name":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute